apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    run: nginx
  name: nginx
  annotations:
    app.gitlab.com/app: <CI_PROJECT_PATH_SLUG>
    app.gitlab.com/env: <CI_ENVIRONMENT_SLUG>
spec:
  replicas: 3
  selector:
    matchLabels:
      run: nginx
  template:
    metadata:
      labels:
        run: nginx
      annotations:
        app.gitlab.com/app: <CI_PROJECT_PATH_SLUG>
        app.gitlab.com/env: <CI_ENVIRONMENT_SLUG>
    spec:
      containers:
      - image: nginx:alpine
        name: nginx

---
apiVersion: v1
kind: Service
metadata:
  labels:
    run: nginx
  name: nginx
spec:
  ports:
  - port: 80
    protocol: TCP
    targetPort: 80
  selector:
    run: nginx
  type: ClusterIP

---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: nginx-<ENV>
  annotations:
    kubernetes.io/ingress.class: nginx
spec:
  rules:
  - host: <HOST>
    http:
      paths:
      - path: /
        backend:
          serviceName: nginx
          servicePort: 80